const path = require('path');

const { defineConfig } = require('@vue/cli-service')
module.exports = defineConfig({
    transpileDependencies: true,
    outputDir: path.resolve('../aircox/static/aircox'),
    publicPath: './',
    runtimeCompiler: true,
    filenameHashing: false,

    css: {
        extract: true,
        loaderOptions: {
            sass: { sourceMap: true },
        }
    },

    pages: {
        core: { entry: 'src/core.js', },
        admin: { entry: 'src/admin.js' },
    }
})
